"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendSlack = void 0;
const axios_1 = __importDefault(require("axios"));
const cm_libs_utils_1 = require("cm-libs-utils");
const lodash_1 = __importDefault(require("lodash"));
const config_base_1 = require("../config-base");
async function sendSlack(message) {
    const slackChannelId = config_base_1.ConfigBase.get('SLACK_ERROR_CHANNEL', (0, cm_libs_utils_1.allowNullOrEmpty)(cm_libs_utils_1.checkString));
    const slackToken = config_base_1.ConfigBase.get('SLACK_TOKEN', (0, cm_libs_utils_1.allowNullOrEmpty)(cm_libs_utils_1.checkString));
    if (lodash_1.default.isEmpty(slackChannelId) && lodash_1.default.isEmpty(slackToken))
        return;
    const url = 'https://slack.com/api/chat.postMessage';
    const res = await axios_1.default.post(url, {
        channel: slackChannelId,
        text: message,
        username: 'Minion - Hilux',
        icon_emoji: ':bangbang:'
    }, { headers: { authorization: `Bearer ${slackToken}` } });
    // console.log('Done', res.data)
    return res.data;
}
exports.sendSlack = sendSlack;
//# sourceMappingURL=slack.js.map